# Class RhinoExtension

java.lang.Object
org.gradle.plugins.javascript.rhino.RhinoExtension

public class RhinoExtension extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLASSPATH_CONFIGURATION_NAME`
`static final String`
`DEFAULT_RHINO_DEPENDENCY_GROUP`
`static final String`
`DEFAULT_RHINO_DEPENDENCY_MODULE`
`static final String`
`DEFAULT_RHINO_DEPENDENCY_VERSION`
`static final String`
`NAME`
`static final String`
`RHINO_SHELL_MAIN`

## Constructor Summary

Constructors
Constructor
Description
`RhinoExtension()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureJavaExec(JavaExecSpec spec)`
`FileCollection`
`getClasspath()`
`String`
`getVersion()`
`void`
`setClasspath(FileCollection rhinoClasspath)`
`void`
`setVersion(String version)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### RHINO_SHELL_MAIN

public static final String RHINO_SHELL_MAIN

See Also:
  - Constant Field Values

### DEFAULT_RHINO_DEPENDENCY_VERSION

public static final String DEFAULT_RHINO_DEPENDENCY_VERSION

See Also:
  - Constant Field Values

### DEFAULT_RHINO_DEPENDENCY_GROUP

public static final String DEFAULT_RHINO_DEPENDENCY_GROUP

See Also:
  - Constant Field Values

### DEFAULT_RHINO_DEPENDENCY_MODULE

public static final String DEFAULT_RHINO_DEPENDENCY_MODULE

See Also:
  - Constant Field Values

### CLASSPATH_CONFIGURATION_NAME

public static final String CLASSPATH_CONFIGURATION_NAME

See Also:
  - Constant Field Values

## Constructor Details

### RhinoExtension

public RhinoExtension()

## Method Details

### getClasspath

public FileCollection getClasspath()

### setClasspath

public void setClasspath(FileCollection rhinoClasspath)

### getVersion

public String getVersion()

### setVersion

public void setVersion(String version)

### configureJavaExec

public void configureJavaExec(JavaExecSpec spec)